package com.bigdata.wxappserver.controller;

import com.bigdata.wxappserver.result.Result;
import com.github.binarywang.wxpay.bean.request.WxPayUnifiedOrderRequest;
import com.github.binarywang.wxpay.bean.result.WxPayOrderQueryResult;
import com.github.binarywang.wxpay.service.WxPayService;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.UUID;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: Cool
 * @Date: 2024/09/03/22:25
 * @Description:
 */
@RestController
@Slf4j
public class TestController {
    @Autowired
    private WxPayService wxService;


    @PostMapping("/unifiedOrder")
    public Result unifiedOrder() throws Exception {
        String orderCode = UUID.randomUUID().toString().replace("-", "");
        WxPayUnifiedOrderRequest wxPayUnifiedOrderRequest = new WxPayUnifiedOrderRequest();
        wxPayUnifiedOrderRequest.setBody("测试");
        wxPayUnifiedOrderRequest.setNotifyUrl("payCallBack");
        wxPayUnifiedOrderRequest.setOutTradeNo(orderCode);
        wxPayUnifiedOrderRequest.setOpenid(UUID.randomUUID().toString().replace("-", ""));
        wxPayUnifiedOrderRequest.setSpbillCreateIp("127.0.0.1");
        wxPayUnifiedOrderRequest.setSignType("MD5");
        wxPayUnifiedOrderRequest.setTotalFee(50);
        wxPayUnifiedOrderRequest.setTradeType("JSAPI");

        return Result.success(wxService.unifiedOrder(wxPayUnifiedOrderRequest));
    }

    @PostMapping("/queryOrder")
    public Result queryOrder(String outTradeNo) throws Exception {
        WxPayOrderQueryResult wxPayOrderQueryResult = wxService.queryOrder(null, outTradeNo);
        log.info(wxPayOrderQueryResult.toString());
        return Result.success(wxPayOrderQueryResult);
    }


}
