package com.bigdata.wxappserver.controller;

import com.alibaba.fastjson.JSONObject;
import com.bigdata.wxappserver.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.web.servlet.support.ServletUriComponentsBuilder;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: Cool
 * @Date: 2024/08/29/22:59
 * @Description:
 */

@RequestMapping("user")
@RestController
@Slf4j
public class UserController {

    @Autowired
    UserService userService;

    @RequestMapping("addOrUpdate")
    public JSONObject addOrUpdate(@RequestBody JSONObject jsonObject){
        return userService.addOrUpdate(jsonObject);
    }

    @RequestMapping("loadData")
    public JSONObject list(@RequestBody JSONObject jsonObject){
        return new JSONObject().fluentPut("data",userService.list());

    }
    @RequestMapping("getById")
    public JSONObject queryById(@RequestParam("openId") String openId){
        return userService.queryById(openId);
    }
    @RequestMapping("delete")
    public JSONObject delete(@RequestParam("id")Integer id){
        return userService.delete(id);
    }
    @PostMapping("/upload")
    public JSONObject upload(@RequestParam("file") MultipartFile file) {
        return userService.upload(file);

    }

}
