package com.bigdata.wxappserver;

import com.alibaba.fastjson.JSON;
import com.bigdata.wxappserver.utils.SignV3Util;
import org.apache.http.HttpEntity;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.HashMap;
import java.util.Map;

@SpringBootTest
class WxappServerApplicationTests {

    @Test
    void contextLoads() {
    }

    @Test
    public void test() throws Exception {
        CloseableHttpClient httpClient = HttpClients.createDefault();
        //处理请求参数
        String param = JSON.toJSONString("请求参数");
        //获取签名请求头
        HashMap<String, String> heads = SignV3Util.getSignMap("POST", "https://api.mch.weixin.qq.com/pay/unifiedorder", param);
        //请求微信接口
        HttpPost post = new HttpPost("https://api.mch.weixin.qq.com/pay/unifiedorder");
        for (Map.Entry<String, String> entry : heads.entrySet()) {
            post.addHeader(entry.getKey(), entry.getValue());
        }
        // 设置请求参数
        StringEntity entity = new StringEntity(JSON.toJSONString("请求参数"), "UTF-8");
        post.setEntity(entity);

        // 发送POST请求
        CloseableHttpResponse response = httpClient.execute(post);

        try {
            // 获取响应实体
            HttpEntity responseEntity = response.getEntity();

            if (responseEntity != null) {
                // 打印响应内容
                System.out.println("Response content: " + EntityUtils.toString(responseEntity, "UTF-8"));
            }
        } finally {
            response.close();
        }
    }
}
